commit 2eade72b0e2ac9dd18ef517bc3b868157f1ddf48
Author: Jan Hubicka <jh@suse.cz>
Date:   Tue Sep 3 17:25:05 2024 +0200

    Zen5 tuning part 3: fix typo in previous patch
    
    gcc/ChangeLog:
    
            * config/i386/x86-tune-sched.cc (ix86_fuse_mov_alu_p): Fix
            typo.
    
    (cherry picked from commit 910e1769a0653ac32bd8c1d6aabb39c797d5d773)

diff --git a/gcc/config/i386/x86-tune-sched.cc b/gcc/config/i386/x86-tune-sched.cc
index 07b79876c36..746f23b3cbc 100644
--- a/gcc/config/i386/x86-tune-sched.cc
+++ b/gcc/config/i386/x86-tune-sched.cc
@@ -615,7 +615,7 @@ ix86_fuse_mov_alu_p (rtx_insn *mov, rtx_insn *alu)
   /* One of operands should be register.  */
   if (op1 && (!REG_P (op0) || REGNO (op0) != REGNO (reg)))
     std::swap (op0, op1);
-  if (!REG_P (op0) || REGNO (op1) != REGNO (reg))
+  if (!REG_P (op0) || REGNO (op0) != REGNO (reg))
     return false;
   if (op1
       && !REG_P (op1)

